summaryrefslogtreecommitdiffstats
path: root/mining/user
diff options
context:
space:
mode:
authorroot <root@chinaman.(none)>2011-07-08 17:24:48 +0200
committerroot <root@chinaman.(none)>2011-07-08 17:24:48 +0200
commit6e87f54b0d9b704421c079d1124d006fb0660f96 (patch)
treeed16bbe7881255bf521a1a671e202923fc2e96bc /mining/user
parent7d0a872e905eef8dfc51770f4f56f4fb61f82147 (diff)
mining: added archlinux cruise control
mining/Makefile: added archlinux cruise control (auto installer) which always does the right thing. loosely after http://rubyists.github.com/2011/06/08/how-to-build-a-namecoin-or-bitcoin-miner-in98-easy-steps.html mining/{user/,}/bin:renamed mining/bin/newkey.sh: add policy Xorg keygen
Diffstat (limited to 'mining/user')
-rwxr-xr-xmining/user/bin/ati_temper5
-rwxr-xr-xmining/user/bin/cleanup_tmp4
-rwxr-xr-xmining/user/bin/ensure-router27
-rwxr-xr-xmining/user/bin/ensure-wlan032
4 files changed, 0 insertions, 68 deletions
diff --git a/mining/user/bin/ati_temper b/mining/user/bin/ati_temper
deleted file mode 100755
index 283a6024..00000000
--- a/mining/user/bin/ati_temper
+++ /dev/null
@@ -1,5 +0,0 @@
-#displays: CARD1TEMP CARD2TEMP CPUTEMP OUTSIDE
-echo -n "`DISPLAY=:0 aticonfig --adapter=1 --od-gettemperature | grep Temperature | sed -n 's/.*Temperature - \([0-9.]*\) C/\1/;p'` "
-echo -n "`DISPLAY=:0 aticonfig --adapter=2 --od-gettemperature | grep Temperature | sed -n 's/.*Temperature - \([0-9.]*\) C/\1/;p'` "
-echo -n "`sensors | grep temp1 | sed -e 's/temp1: *+\([0-9.]*\).*/\1/'` "
-echo "`temper`"
diff --git a/mining/user/bin/cleanup_tmp b/mining/user/bin/cleanup_tmp
deleted file mode 100755
index e1395b19..00000000
--- a/mining/user/bin/cleanup_tmp
+++ /dev/null
@@ -1,4 +0,0 @@
-#! /bin/sh
-ls -lAtr /tmp/ | sed -rn '
- /\.so$/{$!{s/.* ([A-Za-z0-9]+\.so)$/rm -v \/tmp\/\1/p}}
-' | sudo sh
diff --git a/mining/user/bin/ensure-router b/mining/user/bin/ensure-router
deleted file mode 100755
index ec78f610..00000000
--- a/mining/user/bin/ensure-router
+++ /dev/null
@@ -1,27 +0,0 @@
-#! /bin/sh
-
-if test "${nosudo-false}" != true -a `id -u` != 0; then
- echo "we're going sudo..." >&2
- exec sudo "$0" "$@"
- exit 23 # go to hell
-fi
-
-if=eth2
-
-if ! ifconfig $if | grep -q 'inet addr'; then
- beep -l 50 -f 2500; ifconfig $if 0.0.0.0 down || :
- beep -l 50 -f 2500; ifconfig $if 23.0.0.1/8 up || :
- beep -l 50 -f 2500; /etc/init.d/dnsmasq restart
- beep -l 50 -f 2500; iptables -t nat -A POSTROUTING -o wlan0 -j MASQUERADE
- beep -l 50 -f 2500; iptables -t nat -A POSTROUTING -o eth2 -j MASQUERADE
- if ifconfig $if | grep -q 'inet addr'; then
- beep -l 50 -f 2500 -n -l 100 -f 3000
- else
- beep -l 50 -f 2500 -n -l 100 -f 1000
- fi
-else
- case "${1-}" in
- (--quiet) : ;;
- (*) beep -l 50 -f 2500 -n -l 100 -f 2500 ;;
- esac
-fi
diff --git a/mining/user/bin/ensure-wlan0 b/mining/user/bin/ensure-wlan0
deleted file mode 100755
index 92839a13..00000000
--- a/mining/user/bin/ensure-wlan0
+++ /dev/null
@@ -1,32 +0,0 @@
-#! /bin/sh
-
-if test "${nosudo-false}" != true -a `id -u` != 0; then
- echo "we're going sudo..." >&2
- exec sudo "$0" "$@"
- exit 23 # go to hell
-fi
-
-if ! ifconfig wlan0 | grep -q 'inet addr'; then
- if ! grep -q wlan0 /etc/network/interfaces; then
- cat >> /etc/network/interfaces <<EOF
-# generated by rc.local
-auto wlan0
-iface wlan0 inet dhcp
-wpa_conf /etc/wpa_supplicant/wpa_supplicant.conf
-EOF
- fi
-
- beep -l 50 -f 2000; /etc/init.d/network-manager restart
- beep -l 50 -f 2000; ifdown wlan0
- beep -l 50 -f 2000; ifup wlan0
- if ifconfig wlan0 | grep -q 'inet addr'; then
- beep -l 50 -f 2000 -n -l 100 -f 3000
- else
- beep -l 50 -f 2000 -n -l 100 -f 1000
- fi
-else
- case "${1-}" in
- (--quiet) : ;;
- (*) beep -l 50 -f 2000 -n -l 100 -f 2000 ;;
- esac
-fi